# constants-colors

The Systema color palette. Whenever possible colors should be used from this
package to keep the visual language consistent.

## Installation

```
yarn add systema-constants-colors
```

```js
import 'systema-base.css/base.css';
```

## Usage in JavaScript

```js
import { colorBlueBase } from 'systema-constants-colors';

console.log(colorBlueBase); // #35C3EF
```

## Usage in CSS

Depending on what tool is processed the CSS should support preprocessing with
variables.

### postcss-simple-variables

```js
// postcss.config.js
const simpleVars = require('postcss-simple-vars');
const colors = require('systema-constants-colors');

module.exports = {
  plugins: [
    simpleVars({
      variables: colors,
    }),
  ],
};
```

```css
.someClass {
  background-color: $colorGreenDark;
}
```
